org.apache.xml.dtm.ref

## Class ExtendedType

- java.lang.Object
- - org.apache.xml.dtm.ref.ExtendedType

-     public final class ExtendedType
      extends java.lang.Object

  The class ExtendedType represents an extended type object used by ExpandedNameTable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedType(int nodetype, java.lang.String namespace, java.lang.String localName)` Create an ExtendedType object from node type, namespace and local name.
    `ExtendedType(int nodetype, java.lang.String namespace, java.lang.String localName, int hash)` Create an ExtendedType object from node type, namespace, local name and a given hash code.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(ExtendedType other)` Test if this ExtendedType object is equal to the given ExtendedType.
    `java.lang.String` | `getLocalName()` Return the local name
    `java.lang.String` | `getNamespace()` Return the namespace
    `int` | `getNodeType()` Return the node type
    `int` | `hashCode()` Override the hashCode() method in the Object class

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedType

          public ExtendedType(int nodetype,
                      java.lang.String namespace,
                      java.lang.String localName)

      Create an ExtendedType object from node type, namespace and local name. The hash code is calculated from the node type, namespace and local name.
      Parameters:
        `nodetype` - Type of the node
        `namespace` - Namespace of the node
        `localName` - Local name of the node

    - #### ExtendedType

          public ExtendedType(int nodetype,
                      java.lang.String namespace,
                      java.lang.String localName,
                      int hash)

      Create an ExtendedType object from node type, namespace, local name and a given hash code.
      Parameters:
        `nodetype` - Type of the node
        `namespace` - Namespace of the node
        `localName` - Local name of the node
        `hash` - The given hash code

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Override the hashCode() method in the Object class
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(ExtendedType other)

      Test if this ExtendedType object is equal to the given ExtendedType.
      Parameters:
        `other` - The other ExtendedType object to test for equality
      Returns:
        true if the two ExtendedType objects are equal.

    - #### getNodeType

          public int getNodeType()

      Return the node type

    - #### getLocalName

          public java.lang.String getLocalName()

      Return the local name

    - #### getNamespace

          public java.lang.String getNamespace()

      Return the namespace

Copyright © 2014 Apache XML Project. All Rights Reserved.